resource_price = 100 -- price of original declared resource object
resource_price_new = 99 -- price of undeclared but suspected resource object (never produced but ingredient)
water_price = 2 -- price for easy infinite resource like water, air, etc...
free_price = 0 -- price of free object (product of recipe with no ingredients)
unknown_price = 0 -- price of unknown object (product or ingredient of no recipe, so skipped)

-- vanilla resources

vanilla_resources_prices = {
	["water"] = 0,
	["coal"] = 16,
	["stone"] = 27,
	["iron-ore"] = 19,
	["copper-ore"] = 21,
	["crude-oil"] = 100,
}

-- special manually declared prices

special_prices = {
	["coin"] = 1,
	["ucoin"] = 1,
	
	["raw-wood"] = 51,
	["raw-fish"] = 30,
	["y-res1"] = 300,
	["y-res2"] = 300,
		["resin"] = 200,
	
	["thermal-water"] = resource_price,
	
	["empty-canister"] = 161, -- from bob (but "empty-" is also prefix from omnibarrel exclusion...
	["empty-barrel"] = 1311, -- from vanilla (but "empty-" is also prefix from omnibarrel exclusion...
	
	["small-alien-artifact"] = 199,
	["small-alien-artifact-red"] = 201,
	["small-alien-artifact-orange"] = 201,
	["small-alien-artifact-yellow"] = 201,
	["small-alien-artifact-green"] = 201,
	["small-alien-artifact-blue"] = 201,
	["small-alien-artifact-purple"] = 201,
	["y-unicomp-a2"] = 25000,
	["y-slag"] = 2500,
	
	["gas-acid"] = 2500,
	["gas-butane"] = 2500,
	["gas-ethane"] = 2500,

		["bob-logistic-robot-4"] = 450000000,
	["logistic-robot-fusion"] = 4000000000,
	["bob-construction-robot-4"] = 450000000,
	["construction-robot-fusion"] = 4000000000,
	["effectivity-module-8"] = 450000000000,
	["productivity-module-8"] = 450000000000,
	["speed-module-8"] = 450000000000,
	["pollution-clean-module-8"] = 450000000000,
	["pollution-create-module-8"] = 450000000000,
	["god-module-4"] = 250000000000,
	["god-module-5"] = 6500000000000,
	
	["assembling-machine-6"] = 150000000000,
	["water-miner-5"] = 150000000000,
	["electric-chemical-mixing-furnace-2"] = 15000000000,
	["electrolyser-4"] = 15000000000,
	["science-pack-2"] = 2500,
	
		["bob-robo-charge-port-4"] = 50000000000,
	["bob-robo-charge-port-large-4"] = 50000000000,
	["bob-robochest-4"] = 50000000000,
	["bob-roboport-4"] = 50000000000,
	
	["energy-shield-mk3-equipment"] = 1500000000000,
	["energy-shield-mk4-equipment"] = 2225000000000,
	["energy-shield-mk5-equipment"] = 3245000000000,
	["energy-shield-mk6-equipment"] = 4275000000000,
	["battery-mk4-equipment"] = 3235000000000,
	["battery-mk5-equipment"] = 4427500000000,
	["bob-power-armor-mk4"] = 4523500000000,
	["bob-power-armor-mk5"] = 54275000000000,
	["battery-mk6-equipment"] = 64275000000000,
	["personal-laser-defense-equipment-6"] = 5427500000000,
	["processing-unit"] = 5,
	["advanced-processing-unit"] = 5,
	["superior-circuit-board"] = 4,
	["multi-layer-circuit-board"] = 8,
	["electronic-circuit"] = 1,
	["advanced-circuit"] = 12,
	["empty-barrel"] = 1,
	["gas-sulfur-dioxide-barrel"] = 2,
	["sulfuric-waste-water-barrel"] = 5,
	["gas-raw-1-barrel"] = 3,
	["base-mineral-oil-barrel"] = 5,
	["gas-synthesis-barrel"] = 5,
	["liquid-fuel-oil-barrel"] = 5,
	["liquid-ngl-barrel"] = 5,
	["gas-butadiene-barrel"] = 5,
	["gas-phenol-barrel"] = 5,
	["gas-butane-barrel"] = 5,
	["gas-ethane-barrel"] = 5,
	["gas-oxygen-barrel"] = 2,
	["gas-hydrogen-barrel"] = 2,
	["water-purified-barrel"] = 2,		
	["gas-acid-barrel"] = 5,
	["gas-sulfur-dioxide"] = 5,
	["sulfuric-waste-water"] = 5,
	["gas-raw-1"] = 3,
	["base-mineral-oil"] = 5,
	["water-yellow-waste"] = 5,
	
	["ore-crusher-3"] = 5000000000,
	["liquifier-4"] = 5000000000,
	["asphalt"] = 1,
	["catalyst-metal-carrier"] = 1,
	
	
	-- ["gem-ore"] = resource_price,
	-- ["liquid-air"] = resource_price,
	-- ["liquid-air"] = 2,
	-- ["lithia-water"] = 2,
}

energy_price= 1 -- price for selling and buying energy (for 1MJ)
energy_cost = 20 -- cost of energy unit in recipes (time, different from MJ)
tech_ingr_cost = 1000 -- average cost of a science pack
tech_amortization = 0.001 -- amortization of the tech cost in object price
commercial_margin = 0.10 -- commercial margin

dynamic_regrowth = 0.05 -- how prices slowly return to optimal value if untouched (every day)
dynamic_influence_item = 0.00004 -- influence of sales and purchases on prices (per item, per day)
dynamic_influence_fluid = 0.00003 -- influence of sales and purchases on prices (per item, per day)
dynamic_influence_energy = 0.0002 -- influence of sales and purchases on prices (per item, per day)
dynamic_minimal = 0.5
dynamic_maximal = 2

periods = {0,1,2,3,4,6,8,12,24} -- available periods in hours
default_n_period = 2 -- default period of a new trading chest
default_auto = true -- default automatic mode
tax_start = 4 -- starting fee in % for one action per day
tax_growth = 0.5 -- exponential growth with frequency/day : fee = tax_start * (freq ^ tax_growth)
tax_immediate = 25 -- fee for immediate action

thousands_separator = ","

